<?
function getJudgingTeams()
{
	global $config;

	$q=mysql_query("SELECT 	judges_teams.id,
				judges_teams.num,
				judges_teams.name
			FROM 
				judges_teams
			WHERE 
				judges_teams.year='".$config['FAIRYEAR']."'
			ORDER BY 
				num,name
				");

	$lastteamid=-1;
	$lastteamnum=-1;
	echo mysql_error();
	$teams=array();
	while($r=mysql_fetch_object($q))
	{
		$teams[$r->id]['id']=$r->id;
		$teams[$r->id]['num']=$r->num;
		$teams[$r->id]['name']=$r->name;
		$lastteamid=$r->id;
		$lastteamnum=$r->num;

		//get the members for this team
		$mq=mysql_query("SELECT 	
			users.id AS judges_id,
			users.firstname,
			users.lastname,
			judges_teams_link.captain
			
		FROM 
			users,
			judges_teams_link
		WHERE 
			judges_teams_link.users_id=users.id AND
			judges_teams_link.judges_teams_id='$r->id'
		ORDER BY 
			captain DESC,
			lastname,
			firstname");
		echo mysql_error();

		
        $teamlangs=array();
		while($mr=mysql_fetch_object($mq))
		{
			$u = user_load($mr->judges_id, false);
			$judgelangs = join('/', $u['languages']);
			foreach($u['languages'] AS $l) {
				if(!in_array($l,$teamlangs))
					$teamlangs[]=$l;
			}
			
			$teams[$lastteamid]['members'][]=array(
				"id"=>$mr->judges_id,
				"firstname"=>$mr->firstname,
				"lastname"=>$mr->lastname,
				"captain"=>$mr->captain,
				"languages"=>$judgelangs
				);
		}
        $teams[$r->id]['languages']=$teamlangs;

		//get the awards for this team
		$aq=mysql_query("SELECT award_awards.id,
					award_awards.name,
					award_awards.criteria,
					award_awards.award_types_id,
					award_types.type AS award_type
				FROM
					award_awards,
					judges_teams_awards_link,
					award_types
				WHERE
					judges_teams_awards_link.award_awards_id=award_awards.id
					AND judges_teams_awards_link.judges_teams_id='$r->id'
					AND award_awards.award_types_id=award_types.id
					AND award_types.year='{$config['FAIRYEAR']}'
				ORDER BY
					name
				");
		while($ar=mysql_fetch_object($aq))
		{
			$teams[$r->id]['awards'][]=array(
					"id"=>$ar->id,
					"name"=>$ar->name,
					"criteria"=>$ar->criteria,
					"award_types_id"=>$ar->award_types_id,
					"award_type"=>$ar->award_type
					);
		}
	}
	return $teams;
}

function getJudgingTeam($teamid)
{
	global $config;

	$q=mysql_query("SELECT 	judges_teams.id,
				judges_teams.num,
				judges_teams.name
				
			FROM 
				judges_teams
			WHERE 
				judges_teams.year='".$config['FAIRYEAR']."' AND
				judges_teams.id='$teamid'
			ORDER BY 
				num,
				name
				");

	$team=array();

	$first=true;
	while($r=mysql_fetch_object($q))
	{
		$team['id']=$r->id;
		$team['num']=$r->num;
		$team['name']=$r->name;

		//get the members for this team
		$mq=mysql_query("SELECT 	
			users.id AS judges_id,
			users.firstname,
			users.lastname,
			judges_teams_link.captain
			
		FROM 
			users,
			judges_teams_link
		WHERE 
			judges_teams_link.users_id=users.id AND
			judges_teams_link.judges_teams_id='$r->id'
		ORDER BY 
			captain DESC,
			lastname,
			firstname");
		echo mysql_error();

		
		while($mr=mysql_fetch_object($mq))
		{
			$team['members'][]=array(
				"id"=>$mr->judges_id,
				"firstname"=>$mr->firstname,
				"lastname"=>$mr->lastname,
				"captain"=>$mr->captain
				);
		}


		//get the awards for this team
		$aq=mysql_query("SELECT award_awards.id,
					award_awards.name,
					award_awards.award_types_id,
					award_types.type AS award_type
				FROM
					award_awards,
					judges_teams_awards_link,
					award_types
				WHERE
					judges_teams_awards_link.award_awards_id=award_awards.id
					AND judges_teams_awards_link.judges_teams_id='$r->id'
					AND award_awards.award_types_id=award_types.id
					AND award_types.year='{$config['FAIRYEAR']}'
				ORDER BY
					name
				");
		while($ar=mysql_fetch_object($aq))
		{
			$team['awards'][]=array(
					"id"=>$ar->id,
					"name"=>$ar->name,
					"award_types_id"=>$ar->award_types_id,
					"award_type"=>$ar->award_type
					);
		}


	}

	return $team;

}

function getJudgingEligibilityCode() {
	global $config;
	switch($config['project_status']) {
		case 'open' :
			return " AND registrations.status != 'open' ";
			break;
		case 'payment_pending' :
			return " AND registrations.status IN ('paymentpending', 'complete')";
			break;
		case 'complete' :
			return " AND registrations.status = 'complete'";
			break;
	}
}

function judges_load_all()
{
	global $config;

	$ret = array();

	$query = "SELECT id FROM users WHERE types LIKE '%judge%' 
				AND year='{$config['FAIRYEAR']}'
				AND deleted='no'";
	$r = mysql_query($query);
	while($i = mysql_fetch_assoc($r)) {
		$u = user_load($i['id']);
		if($u['judge_complete'] == 'no') continue;

		$ret[$i['id']] = $u;
	}
	return $ret;
}

?>
